> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# List Assets

GET https://agentverse.ai/v1/storage/assets/

List user assets.

Reference: https://docs.agentverse.ai/v-1/api-reference/storage/list-user-assets

## Request

### Query parameters

- `offset` (integer, optional, default: 0)
- `limit` (integer, optional, default: 100)

## Response

### 200

Successful Response

- `items` (list of Asset, required) — List of assets retrieved.
- `pagination` (Pagination, required) — Pagination metadata for the list of assets.

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### Asset

- `asset_id` (string, required) — Unique identifier of the asset.
- `size` (integer, required) — Size of the asset in bytes.
- `checksum` (string, required) — SHA-256 checksum of the asset content.
- `expires_at` (string, required) — Datetime when the asset will expire.
- `created_at` (string, required) — Datetime when the asset was created.
- `updated_at` (string, required) — Datetime when the asset was last updated.
- `mime_type` (string, optional) — MIME type of the asset (if known).
- `reference` (string, optional) — Storage reference URI for the asset.
- `protocol` (string, optional) — Protocol-formatted reference URI (auto-generated).

### Pagination

- `offset` (integer, required) — Number of items to skip before starting to collect the result set.
- `limit` (integer, required) — Maximum number of items to return.
- `total` (integer, required) — Total number of items available.

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "items": [
    {
      "asset_id": "foo",
      "size": 42,
      "checksum": "foo",
      "expires_at": "foo",
      "created_at": "foo",
      "updated_at": "foo",
      "mime_type": "foo",
      "reference": "foo",
      "protocol": "foo"
    }
  ],
  "pagination": {
    "offset": 42,
    "limit": 42,
    "total": 42
  }
}
```

**SDK Code**

```python listUserAssetsExample
import requests

url = "https://agentverse.ai/v1/storage/assets/"

response = requests.get(url)

print(response.json())
```

```javascript listUserAssetsExample
const url = 'https://agentverse.ai/v1/storage/assets/';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go listUserAssetsExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v1/storage/assets/"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby listUserAssetsExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v1/storage/assets/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java listUserAssetsExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agentverse.ai/v1/storage/assets/")
  .asString();
```

```php listUserAssetsExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agentverse.ai/v1/storage/assets/');

echo $response->getBody();
```

```csharp listUserAssetsExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v1/storage/assets/");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift listUserAssetsExample
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/storage/assets/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```